Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler Interface Reference
Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler:

## Public Member Functions
| accept (Criterion $criterion)
| Check if this criterion handler accepts to handle the given criterion. More...
| handle (CriteriaConverter $converter, SelectQuery $query, Criterion $criterion)
| Generate query expression for a Criterion this handler accepts. More...

## Detailed Description

Definition at line 12 of file Persistence/Legacy/URL/Query/CriterionHandler.php.

## Member Function Documentation

## ◆ accept()

eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler::accept | ( | Criterion | $criterion | ) |

Check if this criterion handler accepts to handle the given criterion.

Parameters

  \eZ\Publish\API\Repository\Values\URL\Query\Criterion | $criterion |

Returns
  bool

Implemented in eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\VisibleOnly, eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\Validity, eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\SectionIdentifier, eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\SectionId, eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\Pattern, eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\MatchNone, eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\MatchAll, eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\LogicalOr, eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\LogicalNot, and eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\LogicalAnd.

## ◆ handle()

eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler::handle | ( | CriteriaConverter | $converter,
|  | SelectQuery | $query,
|  | Criterion | $criterion
| ) |  |

Generate query expression for a Criterion this handler accepts.

accept() must be called before calling this method.

Parameters

  \eZ\Publish\Core\Persistence\Legacy\URL\Query\CriteriaConverter | $converter |
  \eZ\Publish\Core\Persistence\Database\SelectQuery | $query |
  \eZ\Publish\API\Repository\Values\URL\Query\Criterion | $criterion |

Returns
  \eZ\Publish\Core\Persistence\Database\Expression|string

Implemented in eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\VisibleOnly, eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\SectionIdentifier, eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\SectionId, eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\MatchNone, eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\MatchAll, eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\LogicalOr, eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\LogicalNot, and eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\LogicalAnd.

The documentation for this interface was generated from the following file:

- Persistence/Legacy/URL/Query/CriterionHandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.